# Uses of Class
org.apache.sysds.runtime.controlprogram.caching.CacheableData

Packages that use CacheableData
Package
Description
org.apache.sysds.runtime.controlprogram
org.apache.sysds.runtime.controlprogram.caching
org.apache.sysds.runtime.controlprogram.context
org.apache.sysds.runtime.controlprogram.federated
org.apache.sysds.runtime.controlprogram.parfor
org.apache.sysds.runtime.instructions.cp
org.apache.sysds.runtime.instructions.fed
org.apache.sysds.runtime.instructions.ooc
org.apache.sysds.runtime.instructions.spark
org.apache.sysds.runtime.instructions.spark.data
org.apache.sysds.runtime.ooc.stream

## Uses of CacheableData in org.apache.sysds.runtime.controlprogram

Methods in org.apache.sysds.runtime.controlprogram with parameters of type CacheableData
Modifier and Type
Method
Description
`static ResultMerge<?>`
ParForProgramBlock.`createResultMerge(ParForProgramBlock.PResultMerge prm, CacheableData<?> out, CacheableData<?>[] in, String fname, boolean accum, int numThreads, ExecutionContext ec)`

## Uses of CacheableData in org.apache.sysds.runtime.controlprogram.caching

Subclasses of CacheableData in org.apache.sysds.runtime.controlprogram.caching
Modifier and Type
Class
Description
`class`
`FrameObject`
`class`
`MatrixObject`
Represents a matrix in control program.
`class`
`TensorObject`
Methods in org.apache.sysds.runtime.controlprogram.caching with parameters of type CacheableData
Modifier and Type
Method
Description
`static void`
UnifiedMemoryManager.`pin(CacheableData<?> cd)`
`static boolean`
UnifiedMemoryManager.`probe(CacheableData<?> cd)`
`static void`
UnifiedMemoryManager.`unpin(CacheableData<?> cd)`

## Uses of CacheableData in org.apache.sysds.runtime.controlprogram.context

Subclasses of CacheableData in org.apache.sysds.runtime.controlprogram.context
Modifier and Type
Class
Description
`class`
`MatrixObjectFuture`
Methods in org.apache.sysds.runtime.controlprogram.context that return CacheableData
Modifier and Type
Method
Description
`static CacheableData<?>`
ExecutionContext.`createCacheableData(CacheBlock<?> cb)`
`CacheableData<?>`
ExecutionContext.`getCacheableData(String varname)`
`CacheableData<?>`
ExecutionContext.`getCacheableData(CPOperand input)`
Methods in org.apache.sysds.runtime.controlprogram.context with parameters of type CacheableData
Modifier and Type
Method
Description
`org.apache.spark.broadcast.Broadcast<CacheBlock<?>>`
SparkExecutionContext.`broadcastVariable(CacheableData<CacheBlock<?>> cd)`
`void`
ExecutionContext.`cleanupCacheableData(CacheableData<?> mo)`
`void`
SparkExecutionContext.`cleanupCacheableData(CacheableData<?> mo)`

## Uses of CacheableData in org.apache.sysds.runtime.controlprogram.federated

Methods in org.apache.sysds.runtime.controlprogram.federated that return CacheableData
Modifier and Type
Method
Description
`CacheableData<?>`
FederatedReadCache.`get(String fname, boolean putPlaceholder)`
Get the data from the ReadCacheEntry corresponding to the specified filename, if the data from this filename has already been read.
`CacheableData<?>`
FederatedReadCache.ReadCacheEntry.`get()`
Methods in org.apache.sysds.runtime.controlprogram.federated with parameters of type CacheableData
Modifier and Type
Method
Description
`FederatedRequest`
FederationMap.`broadcast(CacheableData<?> data)`
`FederatedRequest[]`
FederationMap.`broadcastSliced(CacheableData<?> data, boolean transposed)`
`FederatedRequest[]`
FederationMap.`broadcastSliced(CacheableData<?> data, boolean isFrame, int[][] ix)`
`FederatedRequest[]`
FederationMap.`broadcastSliced(CacheableData<?> data, LineageItem lineageItem, boolean isFrame, int[][] ix)`
`static FederationMap`
FederationUtils.`federateLocalData(CacheableData<?> data)`
`static void`
FederatedStatistics.`incFedReuseReadBytesCount(CacheableData<?> data)`
`void`
FederatedReadCache.`setData(String fname, CacheableData<?> data)`
Set the data for the ReadCacheEntry with specified filename.
`void`
FederatedReadCache.ReadCacheEntry.`setValue(CacheableData<?> val)`
Constructors in org.apache.sysds.runtime.controlprogram.federated with parameters of type CacheableData
Modifier
Constructor
Description
``
`FederatedLocalData(long id, CacheableData<?> data)`

## Uses of CacheableData in org.apache.sysds.runtime.controlprogram.parfor

Classes in org.apache.sysds.runtime.controlprogram.parfor with type parameters of type CacheableData
Modifier and Type
Class
Description
`class`
`ResultMerge<T extends CacheableData<?>>`
Constructors in org.apache.sysds.runtime.controlprogram.parfor with parameters of type CacheableData
Modifier
Constructor
Description
``
`ResultMerge(T out, T[] in, String outputFilename, boolean accum)`

## Uses of CacheableData in org.apache.sysds.runtime.instructions.cp

Methods in org.apache.sysds.runtime.instructions.cp that return CacheableData
Modifier and Type
Method
Description
`CacheableData<?>`
ParameterizedBuiltinCPInstruction.`getTarget(ExecutionContext ec)`

## Uses of CacheableData in org.apache.sysds.runtime.instructions.fed

Methods in org.apache.sysds.runtime.instructions.fed that return CacheableData
Modifier and Type
Method
Description
`CacheableData<?>`
ParameterizedBuiltinFEDInstruction.`getTarget(ExecutionContext ec)`
Methods in org.apache.sysds.runtime.instructions.fed with parameters of type CacheableData
Modifier and Type
Method
Description
`<T> T`
QuantilePickFEDInstruction.`createHistogram(CacheableData<?> in, int vectorLength, double globalMin, double globalMax, int numBuckets, int quantileIndex, boolean average)`
`static void`
InitFEDInstruction.`federateMatrix(CacheableData<?> output, List<org.apache.commons.lang3.tuple.Pair<FederatedRange,FederatedData>> workers)`
`static void`
InitFEDInstruction.`federateMatrix(CacheableData<?> output, List<org.apache.commons.lang3.tuple.Pair<FederatedRange,FederatedData>> workers, CacheBlock<?>[] blocks)`

## Uses of CacheableData in org.apache.sysds.runtime.instructions.ooc

Methods in org.apache.sysds.runtime.instructions.ooc that return CacheableData
Modifier and Type
Method
Description
`CacheableData<?>`
CachingStream.`getData()`
`CacheableData<?>`
OOCStreamable.`getData()`
`CacheableData<?>`
PlaybackStream.`getData()`
`CacheableData<?>`
SubscribableTaskQueue.`getData()`
Methods in org.apache.sysds.runtime.instructions.ooc with parameters of type CacheableData
Modifier and Type
Method
Description
`void`
CachingStream.`setData(CacheableData<?> data)`
`void`
OOCStreamable.`setData(CacheableData<?> data)`
`void`
PlaybackStream.`setData(CacheableData<?> data)`
`void`
SubscribableTaskQueue.`setData(CacheableData<?> data)`

## Uses of CacheableData in org.apache.sysds.runtime.instructions.spark

Methods in org.apache.sysds.runtime.instructions.spark that return CacheableData
Modifier and Type
Method
Description
`CacheableData<?>`
ParameterizedBuiltinSPInstruction.`getTarget(ExecutionContext ec)`

## Uses of CacheableData in org.apache.sysds.runtime.instructions.spark.data

Methods in org.apache.sysds.runtime.instructions.spark.data with parameters of type CacheableData
Modifier and Type
Method
Description
`void`
LineageObject.`setBackReference(CacheableData<?> cd)`

## Uses of CacheableData in org.apache.sysds.runtime.ooc.stream

Methods in org.apache.sysds.runtime.ooc.stream that return CacheableData
Modifier and Type
Method
Description
`CacheableData<?>`
FilteredOOCStream.`getData()`
`CacheableData<?>`
MergedOOCStream.`getData()`
`CacheableData<?>`
SourceOOCStreamable.`getData()`
`CacheableData<?>`
SplittingOOCStream.`getData()`
`CacheableData<?>`
SubOOCStream.`getData()`
Methods in org.apache.sysds.runtime.ooc.stream with parameters of type CacheableData
Modifier and Type
Method
Description
`void`
FilteredOOCStream.`setData(CacheableData<?> data)`
`void`
MergedOOCStream.`setData(CacheableData<?> data)`
`void`
SourceOOCStreamable.`setData(CacheableData<?> data)`
`void`
SplittingOOCStream.`setData(CacheableData<?> data)`
`void`
SubOOCStream.`setData(CacheableData<?> data)`
Constructors in org.apache.sysds.runtime.ooc.stream with parameters of type CacheableData
Modifier
Constructor
Description
``
`SourceOOCStreamable(CacheableData<?> data)`